# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "swc"
version = "0.160.0"
authors = ["강동윤 <kdy1997.dev@gmail.com>"]
include = [
    "Cargo.toml",
    "src/**/*.rs",
]
description = "Speedy web compiler"
documentation = "https://rustdoc.swc.rs/swc/"
license = "Apache-2.0"
repository = "https://github.com/swc-project/swc.git"

[lib]
name = "swc"

[[example]]
name = "transform"

[dependencies.ahash]
version = "0.7.4"

[dependencies.anyhow]
version = "1"

[dependencies.base64]
version = "0.13.0"

[dependencies.dashmap]
version = "5.1.0"

[dependencies.either]
version = "1"

[dependencies.indexmap]
version = "1"
features = ["serde"]

[dependencies.lru]
version = "0.7.1"

[dependencies.napi]
version = "2.0.0"
features = ["napi3"]
optional = true
default-features = false

[dependencies.napi-derive]
version = "2.0.0"
features = ["type-def"]
optional = true
default-features = false

[dependencies.once_cell]
version = "1.10.0"

[dependencies.parking_lot]
version = "0.12.0"

[dependencies.pathdiff]
version = "0.2.0"

[dependencies.regex]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sourcemap]
version = "6"

[dependencies.swc_atoms]
version = "0.2"

[dependencies.swc_cached]
version = "0.1.0"

[dependencies.swc_common]
version = "0.17.0"
features = [
    "sourcemap",
    "concurrent",
    "parking_lot",
]

[dependencies.swc_ecma_ast]
version = "0.73.0"

[dependencies.swc_ecma_codegen]
version = "0.100.0"

[dependencies.swc_ecma_ext_transforms]
version = "0.62.0"

[dependencies.swc_ecma_lints]
version = "0.28.0"

[dependencies.swc_ecma_loader]
version = "0.29.0"
features = [
    "cache",
    "node",
    "tsc",
]

[dependencies.swc_ecma_minifier]
version = "0.96.0"

[dependencies.swc_ecma_parser]
version = "0.97.0"

[dependencies.swc_ecma_preset_env]
version = "0.113.0"

[dependencies.swc_ecma_transforms]
version = "0.138.0"
features = [
    "compat",
    "module",
    "optimization",
    "proposal",
    "react",
    "typescript",
]

[dependencies.swc_ecma_transforms_base]
version = "0.72.0"

[dependencies.swc_ecma_transforms_compat]
version = "0.85.0"

[dependencies.swc_ecma_transforms_optimization]
version = "0.108.0"

[dependencies.swc_ecma_utils]
version = "0.76.0"

[dependencies.swc_ecma_visit]
version = "0.59.0"

[dependencies.swc_ecmascript]
version = "0.139.0"

[dependencies.swc_error_reporters]
version = "0.1.0"

[dependencies.swc_node_comments]
version = "0.4.0"

[dependencies.swc_plugin_runner]
version = "0.47.0"
optional = true
default-features = false

[dependencies.swc_visit]
version = "0.3.0"

[dependencies.tracing]
version = "0.1.32"

[dev-dependencies.rayon]
version = "1"

[dev-dependencies.swc_ecma_lints]
version = "0.28.0"
features = ["non_critical_lints"]

[dev-dependencies.swc_node_base]
version = "0.5.0"

[dev-dependencies.testing]
version = "0.19.0"

[dev-dependencies.walkdir]
version = "2"

[features]
concurrent = [
    "swc_ecma_utils/concurrent",
    "swc_ecma_transforms_base/concurrent",
    "swc_ecma_transforms_compat/concurrent",
    "swc_ecma_transforms_optimization/concurrent",
]
debug = ["swc_ecma_visit/debug"]
default = ["es3"]
es3 = []
node = [
    "napi",
    "napi-derive",
]
plugin = ["swc_plugin_runner"]
